### Enumeration

# FwupdPlugin IhexFirmwareRecordType

since: 1.0

#### Declaration

    enum FwupdPlugin.IhexFirmwareRecordType

#### Description

No description available.

Available since: 1.0

#### Members

`FU_IHEX_FIRMWARE_RECORD_TYPE_DATA`
  No description available.
  - Value: `0`
  - Nickname: `None`
  - Available since: 1.0
`FU_IHEX_FIRMWARE_RECORD_TYPE_EOF`
  No description available.
  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0
`FU_IHEX_FIRMWARE_RECORD_TYPE_EXTENDED_SEGMENT`
  No description available.
  - Value: `2`
  - Nickname: `None`
  - Available since: 1.0
`FU_IHEX_FIRMWARE_RECORD_TYPE_START_SEGMENT`
  No description available.
  - Value: `3`
  - Nickname: `None`
  - Available since: 1.0
`FU_IHEX_FIRMWARE_RECORD_TYPE_EXTENDED_LINEAR`
  No description available.
  - Value: `4`
  - Nickname: `None`
  - Available since: 1.0
`FU_IHEX_FIRMWARE_RECORD_TYPE_START_LINEAR`
  No description available.
  - Value: `5`
  - Nickname: `None`
  - Available since: 1.0
`FU_IHEX_FIRMWARE_RECORD_TYPE_SIGNATURE`
  No description available.
  - Value: `253`
  - Nickname: `None`
  - Available since: 1.0